View Issue Details

IDProjectCategoryView StatusLast Update
0001369PluginsFARCmdspublic2010-06-11 19:29
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0001369: Кавычки в команде goto: <"имяфайла"
DescriptionПри использовании кавычек команда goto: не срабатывает.
TagsNo tags attached.

Activities

sdindikov

2010-05-07 14:08

developer   bugnote:0005316

У меня срабатывает. проверил:
FAR v1.75 (build 2628) x86
Far20b1540.x86

JohnDoe

2010-05-07 14:32

updater   bugnote:0005317

Last edited: 2010-05-07 16:15

View 3 revisions

А вы обратили внимание на символ перенаправления?

P.S.
    В юникодном фаре команда вообще не работает: 0001370

vskirdin

2010-05-11 11:22

administrator   bugnote:0005338

build 66

JohnDoe

2010-05-13 14:45

updater   bugnote:0005348

Кавычки теперь работают
Но концевой пробел почему-то игнорируется

goto: <"имяфайла"
goto: <"имяфайла "

Обе команды откроют "имяфайла"

vskirdin

2010-05-13 15:16

administrator   bugnote:0005356

здесь пробел режет ExpandEnvironmentStrings

исправлено, патч будет вместе с хелпом ;-)

vskirdin

2010-06-04 11:12

administrator   bugnote:0005445

куку?

Issue History

Date Modified Username Field Change
2010-05-07 13:34 JohnDoe New Issue
2010-05-07 14:08 sdindikov Note Added: 0005316
2010-05-07 14:32 JohnDoe Note Added: 0005317
2010-05-07 16:15 JohnDoe Note Edited: 0005317 View Revisions
2010-05-07 16:15 JohnDoe Note Edited: 0005317 View Revisions
2010-05-11 11:22 vskirdin Assigned To => vskirdin
2010-05-11 11:22 vskirdin Status new => assigned
2010-05-11 11:22 vskirdin Note Added: 0005338
2010-05-11 11:22 vskirdin Status assigned => feedback
2010-05-13 14:45 JohnDoe Note Added: 0005348
2010-05-13 14:45 JohnDoe Status feedback => assigned
2010-05-13 15:16 vskirdin Note Added: 0005356
2010-06-04 11:12 vskirdin Note Added: 0005445
2010-06-10 12:21 JohnDoe Status assigned => resolved
2010-06-11 19:29 alexy Status resolved => closed
2010-06-11 19:29 alexy Resolution open => fixed
2010-06-11 19:29 alexy Fixed in Version => 2.0